## nvidia-graphics-drivers-legacy-340xx 340.107

=== debian/changelog ===
nvidia-graphics-drivers-legacy-340xx (340.107-4) unstable; urgency=medium

  * use-nv-kernel-ARCH.o_shipped.patch: Simplify for better kernel
    compatibility.  (Closes: #922479)
  * Drop versioned constraints that are satisfied in wheezy (390.87-7).
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Mar 2019 00:11:52 +0100

nvidia-graphics-drivers-legacy-340xx (340.107-3) unstable; urgency=medium

  * Synchronize the module build debhelper sequence with debhelper 10
    (390.87-1).
  * Pass the private library directory to dh_shlibdeps using the -l option
    instead of LD_LIBRARY_PATH, fixing FTBFS with dpkg 1.19.1 (390.87-3).
  * Add Build-Depends-Package to symbols files where appropriate and override
    symbols-file-missing-build-depends-package-field elsewhere (390.87-3).
  * Clean up and unify rule style in debian/rules (390.87-3).
  * Bump Standards-Version to 4.2.1. No changes needed.
  * Add debian/rules targets for archiving the tarballs in a separate
    repository using sparse checkouts and git-lfs as storage backend.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Nov 2018 23:45:23 +0100

nvidia-graphics-drivers-legacy-340xx (340.107-2) unstable; urgency=high

  * Backport kmem_cache_create_usercopy.patch from 390.67-2 for the 340.xx
    series, fixing "Bad or missing usercopy whitelist? Kernel memory exposure
    attempt detected from SLUB object 'nvidia_stack_cache'" on Linux kernels
    that have disabled CONFIG_HARDENED_USERCOPY_FALLBACK
    (i.e. linux-image-4.16.0-2-* or newer).  (Closes: #899998)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jul 2018 01:00:21 +0200

nvidia-graphics-drivers-legacy-340xx (340.107-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.107 (2018-06-06).
    - Added support for X.Org xserver ABI 24 (xorg-server 1.20).
    - Improved nvidia-bug-report.sh to check for kern.log which is the default
      kernel log-file location for many Debian-based Linux distributions.
    - Fixed a bug which could cause X servers that export a Video Driver
      ABI earlier than 0.8 to crash when running X11 applications which
      call XRenderAddTraps().

  [ Andreas Beckmann ]
  * Convert packaging repository from SVN to GIT.
  * Bump Standards-Version to 4.1.4. No changes needed.
  * Add xorg-video-abi-24 (xserver 1.20) as alternative dependency.
    (Closes: #900789, #900338)
  * nvidia-drm-outputclass.conf: Prepend (in a backwards-compatible way)
      ModulePath "/usr/lib/xorg/modules/linux"
    since xserver 1.20 no longer does that (390.67-1).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Jun 2018 20:38:25 +0200
