## nvidia-graphics-drivers-legacy-340xx 340.108

=== debian/changelog ===
nvidia-graphics-drivers-legacy-340xx (340.108-3~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Feb 2020 12:56:28 +0100

nvidia-graphics-drivers-legacy-340xx (340.108-3~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Feb 2020 12:26:56 +0100

nvidia-graphics-drivers-legacy-340xx (340.108-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jan 2020 21:49:47 +0100

nvidia-graphics-drivers-legacy-340xx (340.108-2) unstable; urgency=medium

  * Restore kmem_cache_create_usercopy.patch.  (Closes: #948032, #948195)
  * Add NEWS entry w.r.t. EoL state.
  * Use substitution to keep Standards-Version in sync (430.64-5).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Jan 2020 13:56:19 +0100

nvidia-graphics-drivers-legacy-340xx (340.108-1) unstable; urgency=medium

  * The 340.xx legacy driver series has been declared as End-of-Life by
    NVIDIA. No further updates fixing security issues, critical bugs, or
    adding support for new Xorg or Linux releases will be issued.
    https://nvidia.custhelp.com/app/answers/detail/a_id/3142

  * New upstream legacy 340xx branch release 340.108 (2019-12-23).
    - Updated the nvidia-drm kernel module for compatibility with the removal
      of the DRIVER_PRIME flag in recent Linux kernel versions.
    - Updated nvidia-bug-report.sh to search the systemd journal for
      gdm-x-session logs.
    - Fixed a build failure, "too many arguments to function 'get_user_pages'",
      when building the NVIDIA kernel module for Linux kernel v4.4.168.
    - Fixed a build failure, "implicit declaration of function do_gettimeofday",
      when building the NVIDIA kernel module for Linux kernel 5.0 release
      candidates.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Add buildfix_kernel_4.11.patch (replacing vm-fault.patch) and (parts of)
    buildfix_kernel_5.2.patch from Ubuntu to fix more vm-fault issues during
    kernel module build for Linux 5.2+.
  * Refresh patches.
  * Allow alternative libnvidia-{tesla,legacy-*}-cuda1 packages to substitute
    libcuda1 in third-party packages (430.64-3).
    - Add Provides: libcuda.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libcuda.so.1 through the
      symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 31 Dec 2019 04:23:51 +0100

nvidia-graphics-drivers-legacy-340xx (340.107-8) unstable; urgency=medium

  * Create and commit tarball symlinks for legacy branches (430.64-1).
  * Allow alternative libnvidia-{tesla,legacy-*}-ml1 packages to substitute
    libnvidia-ml1 (430.64-2).
    - Add Provides: libnvidia-ml.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-ml.so.1 through
      the symbols file.
  * Add buildfix_kernel_5.4.patch from Ubuntu to fix kernel module build for
    Linux 5.4.  (Closes: #946137)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Dec 2019 22:45:31 +0100

nvidia-graphics-drivers-legacy-340xx (340.107-7) unstable; urgency=medium

  * Add buildfix_kernel_5.3.patch from Ubuntu to fix kernel module build for
    Linux 5.3.  (Closes: #941788)
  * Bump Standards-Version to 4.4.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Oct 2019 14:50:51 +0200

nvidia-graphics-drivers-legacy-340xx (340.107-6) unstable; urgency=medium

  * Add conftest-include-guard.patch to restore compatibility with older
    kernels.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 17 Aug 2019 21:46:00 +0200

nvidia-graphics-drivers-legacy-340xx (340.107-5) unstable; urgency=medium

  * Add buildfix_kernel_4.11.patch (replacing vm-fault.patch),
    buildfix_kernel_5.0.patch, buildfix_kernel_5.2.patch from Ubuntu to fix
    kernel module build for Linux 5.2.  (Closes: #934295, #923815)
  * Bump Standards-Version to 4.4.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Aug 2019 12:20:21 +0200
