=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  quilt,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.nvidia.com
 XS-Autobuild: yes
